from random import shuffle

class Mot:
	def __init__(self,m):
		self.m = m
	
	def doReverse(self):
		self.m = self.m[::-1]
		
	def doShuffle(self):
		L = list(self.m)
		shuffle(L)
		self.m = ''.join(L)
		
	def value(self):
		return self.m